Subject: Re: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Jean Louis <[email-masked]>
Date: Sun, 14 Aug 2022 07:12:22 +0300

* Michael Albinus <[email-masked]> [2022-08-13 12:44]:
> Jean Louis <[email-masked]> writes:
> 
> Hi Jean,
> 
> > Then when I run `emacs -q' I have seen first I have to download
> > `outline' library for Tramp to work.
> 
> Why that? outline.el is part of core Emacs, there shouldn't be a need to
> download it from anywhere. And Tramp requires it when needed.

Probably because I did `emacs -q' as with `emacs -Q' I will also get
same warning:

Debugger entered--Lisp error: (void-variable outline-minor-mode-cycle-filter)
  default-toplevel-value(outline-minor-mode-cycle-filter)
  custom-initialize-reset(outline-minor-mode-cycle-filter (funcall #'#f(compiled-function () #<bytecode 0x1dc00016fe914>)))
  custom-declare-variable(outline-minor-mode-cycle-filter (funcall #'#f(compiled-function () #<bytecode 0x1dc00016fe914>)) "Control where on a heading the visibility-cycling ..." :type (choice (const :tag "Everywhere" nil) (const :tag "At line beginning" bolp) (const :tag "Not at line beginning" (lambda nil (not (bolp)))) (const :tag "At line end" eolp) (function :tag "Custom filter function")) :version "28.1")
  byte-code("\300\301\302\303\304DD\305\306\307\310\311&\7\207" [custom-declare-variable outline-minor-mode-cycle-filter funcall function #f(compiled-function () #<bytecode 0x1dc00016fe914>) "Control where on a heading the visibility-cycling ..." :type (choice (const :tag "Everywhere" nil) (const :tag "At line beginning" bolp) (const :tag "Not at line beginning" (lambda nil (not (bolp)))) (const :tag "At line end" eolp) (function :tag "Custom filter function")) :version "28.1"] 8)
  outline-mode()

> Oops. I'm sorry I haven't been clear enough. I need the *debug
> tramp/ssh ...* buffer. And tramp-verbose 10 is sufficient.

Find it attached.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/